Show / Hide Table of Contents

# Class OpenIddictConstants.ConsentTypes

##### Inheritance

System.Object
OpenIddictConstants.ConsentTypes

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class ConsentTypes

### Fields

#### Explicit

##### Declaration

    public const string Explicit = "explicit"

##### Field Value

Type | Description
--- | ---
System.String |

#### External

##### Declaration

    public const string External = "external"

##### Field Value

Type | Description
--- | ---
System.String |

#### Implicit

##### Declaration

    public const string Implicit = "implicit"

##### Field Value

Type | Description
--- | ---
System.String |

#### Systematic

##### Declaration

    public const string Systematic = "systematic"

##### Field Value

Type | Description
--- | ---
System.String |